View Issue Details

IDProjectCategoryView StatusLast Update
16672Bug reportsCentral participant databasepublic2020-10-05 08:34
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.16 
Summary16672: Can't select seperator for CPDB export - export doesn't recognise text
Description

I exported the CPDC, but I wasn't able to select a separator. As a default, comma was selected. However, this messes up the variable, since some of the categories, in my case, contain a comma, but answer categories are not put in brackets.

Additional Information

This is a clone of 16647 but to be applied on LSv4

TagsNo tags attached.
Complete LimeSurvey version number (& build) Version 4.3.16
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
Browser
Database & DB-VersionI'm not the admin
Server OS (if known)
Webserver software & version (if known)
PHP VersionI'm not the admin

Relationships

related to 16647 assignedgabrieljenik Can't select seperator for CPDB export - export doesn't recognise text 

Activities

gabrieljenik

gabrieljenik

2020-09-22 16:28

developer   ~59928

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1600
Used 'fputcsv' in CPDBExport() with default args

gabrieljenik

gabrieljenik

2020-10-02 11:30

developer   ~60044

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30530

lime_release_bot

lime_release_bot

2020-10-05 08:34

administrator   ~60061

Fixed in Release 4.3.19+201005

Related Changesets

LimeSurvey: master 311b4532

2020-10-02 11:30:36

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16672: Can't select seperator for CPDB export - export doesn't recognise text (#1600)

Used 'fputcsv' in CPDBExport() with default args
Affected Issues
16672
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2020-09-16 17:38 gabrieljenik New Issue
2020-09-16 17:38 gabrieljenik Status new => assigned
2020-09-16 17:38 gabrieljenik Assigned To => gabrieljenik
2020-09-16 17:38 gabrieljenik Issue generated from: 16647
2020-09-16 17:38 gabrieljenik Relationship added related to 16647
2020-09-22 12:53 cdorin Zoho Sprints => |Yes|
2020-09-22 16:28 gabrieljenik Note Added: 59928
2020-10-02 11:30 gabrieljenik Changeset attached => LimeSurvey master 311b4532
2020-10-02 11:30 gabrieljenik Note Added: 60044
2020-10-02 11:30 gabrieljenik Resolution open => fixed
2020-10-05 08:34 lime_release_bot Zoho Sprints Yes => |Yes|
2020-10-05 08:34 lime_release_bot Note Added: 60061
2020-10-05 08:34 lime_release_bot Status assigned => closed